org.jfree.chart.plot

## Class SeriesRenderingOrder

- java.lang.Object
- - org.jfree.chart.plot.SeriesRenderingOrder

All Implemented Interfaces:
  java.io.Serializable

    public final class SeriesRenderingOrder
    extends java.lang.Object
    implements java.io.Serializable

Defines the tokens that indicate the rendering order for series in a `XYPlot`.

See Also:
  Serialized Form

### Field Summary

Fields
`static SeriesRenderingOrder` `FORWARD` Render series in the order 0, 1, 2, ..., N-1, where N is the number of series.
`static SeriesRenderingOrder` `REVERSE` Render series in the order N-1, N-2, ..., 2, 1, 0, where N is the number of series.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code for this instance.
`java.lang.String` `toString()` Returns a string representing the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FORWARD

    public static final SeriesRenderingOrder FORWARD

Render series in the order 0, 1, 2, ..., N-1, where N is the number of series.

#### REVERSE

    public static final SeriesRenderingOrder REVERSE

Render series in the order N-1, N-2, ..., 2, 1, 0, where N is the number of series.

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string representing the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The string (never `null`).

#### equals

    public boolean equals(java.lang.Object obj)

Returns `true` if this object is equal to the specified object, and `false` otherwise.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this instance.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.